Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.princeton.repeatedgames.rgsolve
Class RGSolution.RGSolutionUserRule

    java.lang.Object
      edu.princeton.repeatedgames.rgsolve.RGSolution
          edu.princeton.repeatedgames.rgsolve.RGSolution.RGSolutionUserRule

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  RGSolution

    public static class RGSolution.RGSolutionUserRule

extends RGSolution
implements java.io.Serializable

A special case of `RGSolution`, for games where the user entered Java-code payoff rules into the rgsolve GUI

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class edu.princeton.repeatedgames.rgsolve.RGSolution
`RGSolution.RGSolutionUserRule, RGSolution.TEXT_OUTPUT_TYPE`

Field Summary
`GameCodeData` | `gmcode` `GameCodeData` object storing relevant source code for the game corresponding to this solution
`private static long` | `serialVersionUID` Serialization ID

Fields inherited from class edu.princeton.repeatedgames.rgsolve.RGSolution
`algo_type, BR1, BR2, converged, error, extension, fromInnerApproximation, game, genPtsCount, iterList, iters, keptActions, params, punishment_star, time_ms, V_star, W0`

Constructor Summary
`RGSolution.RGSolutionUserRule(AlgoParameters.ALGO_TYPE algo_type, Point[] W0, GameExtremePoint[] V_star, Point punishment_star, int[] BR1, int[] BR2, int iters, long time_ms, boolean converged, double error, java.util.ArrayList<RGIter> iterList, int genPtsCount, boolean keptActions, AlgoParameters params, boolean fromInnerApproximation, GameCodeData gmcode)` Straightforward constructor; same as for `GameCodeData`, but it stores a `GameCodeData` object rather than a game.

Method Summary

Methods inherited from class edu.princeton.repeatedgames.rgsolve.RGSolution
`getSolutionAsText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gmcode

    public GameCodeData gmcode

  `GameCodeData` object storing relevant source code for the game corresponding to this solution

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### RGSolution.RGSolutionUserRule

    public RGSolution.RGSolutionUserRule(AlgoParameters.ALGO_TYPE algo_type,
                                         Point[] W0,
                                         GameExtremePoint[] V_star,
                                         Point punishment_star,
                                         int[] BR1,
                                         int[] BR2,
                                         int iters,
                                         long time_ms,
                                         boolean converged,
                                         double error,
                                         java.util.ArrayList<RGIter> iterList,
                                         int genPtsCount,
                                         boolean keptActions,
                                         AlgoParameters params,
                                         boolean fromInnerApproximation,
                                         GameCodeData gmcode)

  Straightforward constructor; same as for `GameCodeData`, but it stores a `GameCodeData` object rather than a game.

  Parameters:
    `algo_type` -
    `W0` -
    `V_star` -
    `punishment_star` -
    `BR1` -
    `BR2` -
    `iters` -
    `time_ms` -
    `converged` -
    `error` -
    `iterList` -
    `genPtsCount` -
    `keptActions` -
    `params` -
    `fromInnerApproximation` -
    `gmcode` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD